%global with_python3    1
%global app_name django-post_office
Name:           python-%{app_name}
Version:        0.6.0
Release:        6%{?dist}
Summary:        Allows you to log email activities and send mail asynchronously
Group:          Applications/Internet


License:        MIT
URL:            https://pypi.python.org/pypi/%{app_name}
Source0:        https://pypi.python.org/packages/source/d/%{app_name}/%{app_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools

BuildRequires:  python-django
Requires:       python-django

%if 0%{?with_python3}
BuildRequires:  python3-devel python3-setuptools

BuildRequires:  python3-django
Requires:       python3-django
%endif # if with_python3


%description
Django Post Office is a simple app that allows you to send email asynchronously
in Django. Supports HTML email, database backed templates and logging.

``post_office`` is implemented as a Django ``EmailBackend`` so you don't need
to change any of your code to start sending email asynchronously.


%if 0%{?with_python3}
%package -n python3-%{app_name}
Summary:        Allows you to log email activities and send mail asynchronously
Group:          Applications/Internet

%description -n python3-%{app_name}
Django Post Office is a simple app that allows you to send email asynchronously
in Django. Supports HTML email, database backed templates and logging.

``post_office`` is implemented as a Django ``EmailBackend`` so you don't need
to change any of your code to start sending email asynchronously.
%endif # with_python3

%prep
%setup -q -n %{app_name}-%{version}

#remove bundled egg info
rm -rf django_post_office.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
# Tests now require python-django-jsonfield which hasn't been packaged yet.


#%{__python} post_office/tests/runtests.py

#%if 0%{?with_python3}
#pushd %{py3dir}
#%{__python3} setup.py test
#popd
#%endif # with_python3 

%files
%doc README.rst AUTHORS.rst LICENSE.txt
%{python_sitelib}/post_office/
%{python_sitelib}/django_post_office-%{version}-py?.?.egg-info/

%if 0%{?with_python3}
%files -n python3-%{app_name}
%doc README.rst AUTHORS.rst LICENSE.txt
%{python3_sitelib}/*
%{python3_sitelib}/django_post_office-%{version}-py?.?.egg-info/
%endif # with_python3

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Jan 13 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.6.0-1
- Update to 0.6.0
- Enable python3 support
- Disable tests until python-django-jsonfield is packaged

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 20 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3.1-3
- Bumpspec to correct upgrade path

* Fri May 03 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3.1-2
- Update spec as per review: 959172
- Run tests
- add python-django as requires
- remove bundled egg info

* Fri May 03 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3.1-1
- Initial rpm build

